{ pkgs, ... }: {

  fonts = {
    packages = with pkgs; [
      atkinson-hyperlegible-next
      nerd-fonts.fira-code
      nerd-fonts.fira-code
      noto-fonts-cjk-sans
      local-pkgs.kelmscott-mono
    ];

    fontDir.enable = true;
    
    enableDefaultPackages = true;
    
    fontconfig.defaultFonts = {
      sansSerif = [ "Atkinson Hyperlegible Next" ];
      serif = [ "Atkinson Hyperlegible Next" ];
      monospace = [ "FiraCode Nerd Font" "Fira Code" ];
    };
  };

}
