{ pkgs, lib, ... }: {
  programs.steam = {
    enable = true;
    package = pkgs.steam;
    extraPackages = with pkgs; [
      libkrb5
      keyutils
      gamemode
      mangohud
      steamtinkerlaunch
    ];
    extraCompatPackages = with pkgs; [
      proton-ge-bin
    ];
    remotePlay.openFirewall = true;
    protontricks.enable = true;
  };

  environment.systemPackages = [
    pkgs.steamtinkerlaunch
  ];
}
